Subject: [clisp-list] TeXmacs and Lisp

From: Michael Graffam <[email-masked]>
Date: Sun Nov 30 08:15:02 2003

Hello all,

I have successfully gotten CLisp and CMUCL to run within a TeXmacs
session, and have begun writing Lisp code to generate TeXmacs output
(so far, I have graphical representation of Lisp trees finished). I plan
to write a routine to create nicely formatted tables from Lisp arrays too.

Is there a de facto (I don't want to support 12 of them) LaTeX package for
Lisp? TeXmacs can render LaTeX, so providing some routines to do this
would be nice.

OTOH, TeXmacs uses Scheme internally. One can create TeXmacs markup using
Scheme syntax such as:

(concat (em "This text is italicized.") " " (strong "This text is bold."))

Such ability could easily be provided to Lisp, too.

So, there are a lot of ways in which Lisp could support TeXmacs. Are there
preferences or religious obligations that I should be aware of?

I especially want to hear from people that use TeX/LaTeX a lot, because
TeXmacs is aimed at you!